The onboarding process for the Engineering Department is the starting point for all the new people joining Agile Lab (regardless of status, interns should be onboarded in the same way).

# Checklist for Administration

- [ ] Inform Internal IT about new incoming members (starting date) via mail.
- [ ] Inform Internal IT about devices that will be delivered to the new member (notebook, cell phone, others...)

# Checklist for Internal IT

- [ ] Check that new member devices are compliant

# Checklist for the COO

- [ ] Create the new user through the onboarding app.

# Checklist for the BU Lead/Circle Lead

- [ ] Add in the email thread the first team leader.
- [ ] Organize smooth onboarding with clear tasks. Define which technologies should be studied in the first two weeks.
- [ ] Share the tech interview outcome with the coach of the newcomer.
- [ ] Assign the new member to the first project and facilitate the first interactions with the team

# Checklist for Buddy

- [ ] Read the buddy section in the [leadership guidelines](https://publicagilefactory.gitlab.io/handbook/LeadershipAndCoaching.html)
- [ ] Introduce yourself to the new team member with a video call.
- [ ] Remind about the handbook, suggest most useful pages, clarify it in case of need.
- [ ] Describe self-management practices, provide a high-level overview of the circles and invite the new colleague to attend as a guest a tactical meeting.
  Make sure they know that they are highly encouraged to join a circle and that they know how to proceed if they want to join one.
- [ ] Describe the Data Engineering practice documents, their purpose and how they contribute to elevate the data engineering game. Suggest that the newcomer reads [Pratices page](https://agilefactory.gitlab.io/developers/practices/) and review with them some key lessons
- [ ] Describe at high level our internal product Witboost.
- [ ] Describe the 1to1 practice with the support of the [1to1 page](https://publicagilefactory.gitlab.io/handbook/1to1.html).
- [ ] Describe the OKRs goal-setting framework with the support of the [OKR page](https://publicagilefactory.gitlab.io/handbook/OKR.html). Suggest that the newcomer watch the OKR workshop on LMS and the resources provided in the OKR Teams channel (under the Resource tab)
- [ ] Talk about Agile Lab values and how to collaborate with peers.
- [ ] Explain compliance procedures and GDPR policies.
- [ ] Talk about the engineering ladder.
- [ ] Introduce her/him to Teams (note: new team member will be automatically inserted on major channels).
- [ ] Check in regularly about her/his first tasks status and clarify doubts.
- [ ] Support her/him on training tasks for the first week. The training program must be developed considering the subjects addressed by the Manager and the skill-matrix-based assessment in order to also fill up the knowledge gaps on "first class citizens" skills like version control tools and principles, issue tracking, SW development best practices and patterns, unit testing, etc ...
- [ ] Introduce the new team-member to 5 people and keep track of these people filling in the `sharepoint://Training/Documents/Buddy/onboarding_introduction_calls.xlsx` file. The new team-member's name should be added to the list in order to make him/her available for future calls. Please, don't schedule welcome calls with other Buddies: they would love to help, but they are already engaged in onboarding other people, so let's try to distribute the pleasure across the entire organization
- [ ] Talk about the [software development channel](https://web.microsoftstream.com/channel/e9dec84c-87c6-430a-b109-1964847d6bfe) on streams, since there some useful videos for training and deep dives
- [ ] Talk about the role of the Business Unit Architect(s) before to say goodbye.
- [ ] Talk about the [Training portal](https://agilefactory.gitlab.io/training/training-portal/docs/resources)
- [ ] Talk about Elapseit and explain how track the time and the expense in Agile Lab
- [ ] Share an onboarding outcome with the Manager and the first Project Lead the new member will be assigned to.
- [ ] Share the list of workplace safety managers (RLS, first aid, fire prevention) to the new members. The list is available in `sharepoint://BigData/Documents/People Operations/Responsabili sicurezza`
- [ ] Check that an updated curriculum vitae in a word document has been provided by the on-boarded person, put it in `sharepoint://Training/curriculum`

# Checklist for the first team leader

- [ ] Introduce yourself to the new team member with a video call.
- [ ] Get in touch with the project/BU lead to understand which tech stack the new hire should focus on.
- [ ] Support her/him on training tasks. The training program must be developed considering the subjects addressed by the Manager and the skill-matrix-based assessment in order to also fill up the knowledge gaps on "first class citizens" skills like version control tools and principles, issue tracking, SW development best practices and patterns, unit testing, etc ...
- [ ] Ask the new team member to fill-up the Skill Matrix.
- [ ] Leveraging the skill matrix and the tech interview outcome received from the Manager, perform a tech assessment of the new team member.
- [ ] Share an onboarding outcome with the Manager focused on the completed training program so to bring light over strong and weak points

# Checklist for new team-member

- [ ] Follow [this guide](DeviceEnrollment.md) to enroll your devices.
- [ ] Login into Office365 and check provided credentials are working. The email should be like "name.surname@agilelab.it" and you should have received the password by email.
- [ ] Login on [Holaspirit](https://app.holaspirit.com/) using SAML login. If you encounter any issues, please contact Internal IT (ask the buddy for help, if you can't search for Internal IT inside Holaspirit).
- [ ] Login on [Elapseit](https://app.elapseit.com/login) using your credentials. If you encounter any issues, please contact Internal IT.
- [ ] Login on Teams.
- [ ] Check you can access to "BigData" Sharepoint.
- [ ] Contact {% role %}Internal IT/Device Manager{% endrole %} to verify that installation is completed or if you need help.
- [ ] Introduce yourself on the "intros" Teams channel so to let your (especially remote) colleagues know a little bit more about yourself, what do you like, area of expertise, location, etc. Although this is not mandatory, it's highly recommended for the sake of the value of being a company focused on the individuals as persons, not as just anonymous workers. Make sure to write your message in English so that all your colleagues can learn about yourself.
- [ ] Configure your Office365 profile picture. Use a photo of yourself to make you recognizable by other agile lab employees. **N.B.** You won't be allowed to set your Office365 profile picture through your Microsoft Account page (i.e. https://myaccount.microsoft.com/) - due to the account policy. Do it via Teams.
- [ ] As soon as you receive the Welcome Pack, register the received HW by filling out the following form: https://forms.office.com/e/Bt59qfYdgR
- [ ] Schedule a call (30 minute) with the {% role %}Certification Coach{% endrole %} in order to know the certification plan and the related opportunities. Check Holaspirit to find the person accountable for it
- [ ] Schedule 5 introductory calls (30 minute each) with the 5 people provided by the buddy.
- [ ] Exploit the alignment sessions with your buddy to ask any clarifications (technical, about the company, the internal processes, etc) you might need.
- [ ] Add your signature in the Outlook email

  Outlook *app* users: access instructions and template in `sharepoint://BigData/Documents/Doc Templates/Template firme mail.docx`.

  Outlook *web* users:

  - open Firefox
  - access the template in `sharepoint://BigData/Documents/Doc Templates/FIRMA MAIL/firma email agile lab.htm`
  - select all (CTRL+A) and copy (CTRL+C)
  - open Outlook
  - in Settings, search Email Signature
  - in the signature text field, remove all contents
  - paste (CTRL+V) the templated signature
  - fill in your details (full name, title, email, office address).
- [ ] Send a photo of yourself and your role to {% role %}Consulting/Marketing/Communications officer{% endrole %} for the welcome post on LinkedIn and Instagram.
- [ ] Upload the *Criminal record* and *Pending charges* certificates to the OneDrive folder shared with you by {% role %}People Hiring and Administration/Recruiter{% endrole %} (you should receive an email with the link of the folder). Refer to [this guide](CriminalRecord.md) for instructions on how to request these certificates as well as any needed reimbursement.
- [ ] If you are expected to work from one of our offices on a more or less regular frequency, contact the {% role %}People Care/Facility{% endrole %} of your chosen office and ask to be assigned an access badge and to be added to the Teams channel and mailing list of that office. In addition, check the [operating guidelines](https://agilelab.sharepoint.com/:b:/s/bigdata/EUi28qjeh0dHm1FuMgE2CGkBZxWGXzBzIMskyvwNq7Jkaw?e=pRQq4d) for access to the office and the Handbook page regarding your office for access to the guidelines on emergency procedures.
- [ ] Get familiar with our internal product Witboost by reading an [article about this](https://medium.com/agile-lab-engineering/witboost-with-batteries-included-ad2058efcfd4) and exploring the [documentation](https://docs.witboost.com/docs/p0_intro/).
- [ ] Provide an updated curriculum vitae in a word document, ask your buddy to put it in `sharepoint://Training/curriculum`
- [ ] Attend the mandatory courses on the internal learning platfrom LMS (remember to mark each resource as "Completed"):
  - [ ] [Data Compliance](https://agilelablms.talentlms.com/learner/course/id:342)
  - [ ] [Gender Equality Certification](https://agilelablms.talentlms.com/learner/course/id:343)
  - [ ] [Legislative Decree 231](https://agilelablms.talentlms.com/learner/course/id:331)
  - [ ] [Corporate Social Accountability SA8000](https://agilelablms.talentlms.com/learner/course/id:327)
  - [ ] [ISO/IEC 27001:2022](https://agilelablms.talentlms.com/learner/course/id:344)
  - [ ] [Safety procedure](https://agilelab.sharepoint.com/:b:/s/bigdata/ESb4I462IuZFiA0FTkao3B8BjATQxO0l9mMmIZlE8tFpng?e=zl3mQ9) this is just a doc (no need to mark as "Completed")
  - [ ] [Agile safety procedure](https://agilelab.sharepoint.com/:b:/s/bigdata/Ed7-KCyDAhpIqnwEX9F7dJsB1kABsjQNluXnNI9SZNRN3g?e=djIq08) this is just a doc (no need to mark as "Completed")

- [ ] At the end of the first week (or anyway when onboarding with the buddy ends), fill out the [Onboarding Quiz](https://forms.office.com/e/xmVRWxstnT). 
- [ ] Let's keep our handbook updated. If you notice any changes, such as broken links, or have tips to improve the onboarding process, please feel free to add them.

# First two weeks

In Agile Lab, the first two weeks are dedicated to train on different technologies based on Manager indications and to explaining the company culture.

- The owner of the company culture and operative information is the Buddy. This part should be done mainly during the first week.
- The owner of the tech training, following the manager indications about different technologies, is the first team leader. The tech training should start in the first week, but it should become more consistent in the second week.

### How to track the time 
For the new employee: 
- the first week will be tracked in Elapseit with the project **'YYYY Agile Training - Onboarding'** as explained in [this guide](ProjectTimesheet.md). 
- The project for the second week will be suggested by the first team leader or by the new circle lead.

The time spent by the buddy (usually 5-6 hours for each onboarding) will be tracked also with the project **'YYYY Agile Training - Onboarding'** as explained in [this guide](ProjectTimesheet.md).

# On boarding follow up

<div class="pill">process: buddy</div>

As buddies we never leave the persons we have helped during the on-boarding phase, our accountabilities will always be "sponsoring the company values" and  "helping the people we on-boarded".

The on-boarding follow up process goal is to measure:

* How many concepts are successfully communicated during the on-boarding phase
* How many concepts are remembered or forgotten by the person we on-boarded
* How many concepts we don't talk about during the on-boarding (but we should)

And understand:

* Why things that are remembered (we should reinforce those)
* Why things are forgotten  (should we stop talking about it? are there any reason?)
* Are there things that are helpful to coaches that we should talk more in the on-boarding phase?
* Are there things that the coaches do not know? (we should remind them of those)

## Process steps

* As soon as you start on-boarding schedule the follow up call in 6 months
* Ask the on-boarded person what they found useful in the 6 months timeframe
* Ask the on-boarded person what they did not find useful in the 6 months timeframe
* Go over the onboarding checklist again and note what the on-boarded persons remember and what they do not rememeber
* Interview the coach and ask the same questions about topics in the on-boarding checklist
* Interview the coach and ask what we should talk more in the on-boarding phase
* Ask the on-boarded person to rate their buddy again with the same on-boarding quiz